AntiAlias (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit.textarea

## Class AntiAlias

- java.lang.Object
- - org.gjt.sp.jedit.textarea.AntiAlias

-     public class AntiAlias
      extends java.lang.Object

  Class for representing AntiAlias values. All subpixel modes are supported as of jEdit 4.5pre1
  Since:
    jedit 4.3pre4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `comboChoices`
    `static java.lang.String` | `NONE`
    `static java.lang.Object[]` | `renderHints`
    `static java.lang.String` | `STANDARD`
    `static java.lang.String` | `SUBPIXEL`
    `static java.lang.String` | `SUBPIXEL_HBGR`
    `static java.lang.String` | `SUBPIXEL_HRGB`
    `static java.lang.String` | `SUBPIXEL_VBGR`
    `static java.lang.String` | `SUBPIXEL_VRGB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntiAlias(boolean isEnabled)`
    `AntiAlias(int val)`
    `AntiAlias(java.lang.String v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `void` | `fromString(java.lang.String v)`
    `java.lang.Object` | `renderHint()`
    `void` | `set(int newValue)`
    `java.lang.String` | `toString()`
    `int` | `val()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final java.lang.String NONE

      See Also:
        Constant Field Values

    - #### STANDARD

          public static final java.lang.String STANDARD

      See Also:
        Constant Field Values

    - #### SUBPIXEL

          public static final java.lang.String SUBPIXEL

      See Also:
        Constant Field Values

    - #### SUBPIXEL_HRGB

          public static final java.lang.String SUBPIXEL_HRGB

      See Also:
        Constant Field Values

    - #### SUBPIXEL_VRGB

          public static final java.lang.String SUBPIXEL_VRGB

      See Also:
        Constant Field Values

    - #### SUBPIXEL_HBGR

          public static final java.lang.String SUBPIXEL_HBGR

      See Also:
        Constant Field Values

    - #### SUBPIXEL_VBGR

          public static final java.lang.String SUBPIXEL_VBGR

      See Also:
        Constant Field Values

    - #### comboChoices

          public static final java.lang.String[] comboChoices

    - #### renderHints

          public static final java.lang.Object[] renderHints

  - ### Constructor Detail

    - #### AntiAlias

          public AntiAlias(boolean isEnabled)

    - #### AntiAlias

          public AntiAlias(int val)

    - #### AntiAlias

          public AntiAlias(java.lang.String v)

  - ### Method Detail

    - #### set

          public void set(int newValue)

    - #### renderHint

          public java.lang.Object renderHint()

      Returns:
        corresponding text antialias value from RenderingHints class

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### fromString

          public void fromString(java.lang.String v)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### val

          public int val()